<?php
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    exit();
}
include GetLangFileName(__DIR__ . '/', '/.description.php');

$psTitle = GetMessage(DELOBANK_LANG_PREFIX . 'SHORT_NAME');
$psDescription = GetMessage(DELOBANK_LANG_PREFIX . 'DESCRIPTION');

/** @var \Bitrix\Sale\Compatible\CDBResult $statuses */
$statuses = CSaleStatus::GetList();
$statusArr = [];
while ($status = $statuses->Fetch()) {
    $statusArr[$status['ID']] = $status['NAME'];
}
$arPSCorrespondence = [
    'SHOP_PCID' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'SHOP_PCID'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'SHOP_PCID_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 10,
    ],
    'ACCOUNT_PCID' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'ACCOUNT_PCID'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'ACCOUNT_PCID_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 20,
    ],
    'START_PAYMENT_URL' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'START_PAYMENT_URL'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'START_PAYMENT_URL_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 30,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => (isset($_SERVER['DELOBANK_ENVIRONMENT']) ? 'https://testmpi.myskb.ru/payment/start.wsm' : 'https://mpi.skbbank.ru/payment/start.wsm'),
        ],
    ],
    'CERT_PATH' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'CERT_PATH'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'CERT_PATH_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 40,
    ],
    'CURRENCY' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'CURRENCY'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'CURRENCY_DESC'),
        'INPUT' => [
            'TYPE'    => 'ENUM',
            'OPTIONS' => [
                '643' => '643',
            ],
        ],
        'SORT'  => 50,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'INPUT',
            'PROVIDER_VALUE' => '643',
        ],
    ],
    'SUCCESS_URL' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'SUCCESS_URL'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'SUCCESS_URL_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 60,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => 'http://' . $_SERVER['HTTP_HOST'] . '/personal/orders/',
        ],
    ],
    'DECLINE_URL' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'DECLINE_URL'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'DECLINE_URL_DESC'),
        'VALUE' => '',
        'TYPE'  => 'STRING',
        'SORT'  => 70,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => 'http://' . $_SERVER['HTTP_HOST'] . '/personal/orders/',
        ],
    ],
    'LANG_CODE' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'LANG_CODE'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'LANG_CODE_DESC'),
        'INPUT' => [
            'TYPE'    => 'ENUM',
            'OPTIONS' => [
                'RU' => 'RU',
                'EN' => 'EN',
            ],
        ],
        'SORT'  => 80,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'INPUT',
            'PROVIDER_VALUE' => 'RU',
        ],
    ],
    'AFTER_STATUS' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'AFTER_STATUS'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'AFTER_STATUS_DESC'),
        'INPUT' => [
            'TYPE'    => 'ENUM',
            'OPTIONS' => $statusArr,
        ],
        'SORT'  => 90,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'INPUT',
            'PROVIDER_VALUE' => 'P',
        ],
    ],
    'CHECK_SIGNATURE' => [
        'NAME'  => GetMessage(DELOBANK_LANG_PREFIX . 'CHECK_SIGNATURE'),
        'DESCR' => GetMessage(DELOBANK_LANG_PREFIX . 'CHECK_SIGNATURE_DESC'),
        'INPUT' => [
            'TYPE' => 'Y/N',
        ],
        'SORT'  => 100,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'INPUT',
            'PROVIDER_VALUE' => 'Y',
        ],
    ],
];
