<?php
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    exit();
}
if (!isset($ID) && isset($ORDER_ID)) {
    $ID = $ORDER_ID;
}
if (!isset($ID)) {
    $ID = (int)$_GET['ORDER_ID'];
}
require_once $_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/sale/payment/delobank/DeloProcessor.php';
require_once $_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/sale/payment/delobankqrcode/lib/Mobile_Detect.php';
$CSaleOrder = new CSaleOrder();
$dbOrder = $CSaleOrder->GetList(['ID' => 'DESC'], ['ID' => $ID]);
$arOrder = $dbOrder->GetNext();
$paymentSettings = DeloProcessor::getPaymentSettings($arOrder['PAY_SYSTEM_ID'], $arOrder['PERSON_TYPE_ID'], 2);
if (!empty($paymentSettings['MERCHANT_ID_QRCODE']) && !empty($paymentSettings['LOGIN_QRCODE']) && !empty($paymentSettings['PASSWORD_QRCODE']) && !empty($paymentSettings['URL_QRCODE'])) {
    $dataQRCode = DeloProcessor::getDataQRCode($ID);
    if (empty($dataQRCode)) {
        $messageUid = DeloProcessor::createDataQRCode($paymentSettings['MERCHANT_ID_QRCODE'], $ID);
    } else {
        $messageUid = $dataQRCode['message_id'];
    }
    if (empty($dataQRCode['qrc_id'])) {
        $dataQRCode = DeloProcessor::queryRegisterQRCode($paymentSettings, $messageUid, $arOrder);
    }
    if (empty($dataQRCode['qrc_id'])) {
        ?>
        <div style="margin:20px 0 0 0;">Сервис быстрых платежей недоступен, попробуйте произвести оплату позже!</div>
        <?php
    } else {
        if (($dataQRCode['status'] == DeloProcessor::QRCODE_STATUS_SUCCESS) || ($dataQRCode['status'] == DeloProcessor::QRCODE_STATUS_REJECTED)) {
            ?>
            <div style="margin:20px 0 0 0;">
                <?php if ($dataQRCode['status'] == DeloProcessor::QRCODE_STATUS_SUCCESS) {
                    DeloProcessor::setStatusCode($ID, 1, $arOrder['PRICE'], '', $paymentSettings, '');
                    echo 'Заказ оплачен!';
                } else {
                    echo 'Оплата заказа отменена!';
                }
                unlink($_SERVER['DOCUMENT_ROOT'] . '/personal/order/payment/delobankqrcode/img/' . $dataQRCode['qrc_id'] . '.' . $dataQRCode['qrc_extension']);
                ?>
            </div>
            <?php
        } else {
            DeloProcessor::setDataQRCodeInSession($paymentSettings, $dataQRCode, $arOrder);
            $mobileDetect = new Mobile_Detect();
            ?>
            <div id="wrap_qrcode">
                <?php
                if ($mobileDetect->isMobile()) {
                    // Если покупатель со смартфона, сделать редирект сразу
                    // header('Refresh:6; url=' . $dataQRCode['qrc_link'], true, 303);
                ?>
                    <p>Через <strong><i id="timer_qrcode">6</i> сек.</strong> будет сделано автоматическое перенаправление на сервис быстрых платежей, если этого не произошло нажмите на кнопку ниже</p>
                    <p><a class="btn btn-lg btn-default basket-btn-checkout" href="<?php echo $dataQRCode['qrc_link'] ?>" target="_blank">Перейти к оплате</a></p>
                    <script>
                        window.onload = function () {
                            var i = 6;
                            var timeDiv = document.getElementById('timer_qrcode');
                            function timer() {
                                if (i > 0) {
                                    timeDiv.innerHTML = i;
                                    --i;
                                    window.setTimeout(timer, 1000);
                                } else {
                                    window.location.href = '<?php echo $dataQRCode['qrc_link'] ?>';
                                }
                            }
                            timer();
                        }
                    </script>
                <?php
                } else {
                    ?>
                    <a href="<?php echo $dataQRCode['qrc_link'] ?>">
                        <img src="/personal/order/payment/delobankqrcode/img/<?php echo $dataQRCode['qrc_id'] ?>.<?php echo $dataQRCode['qrc_extension'] ?>" alt="Оплата заказа № <?php echo $ID ?>"/>
                    </a>
                    <?php
                }
                ?>
                <script>
                    function sleep(ms) {
                        ms += new Date().getTime();
                        while (new Date() < ms){}
                    }
                    function queryCheckPayment() {
                        var XHR = ('onload' in new XMLHttpRequest()) ? XMLHttpRequest : XDomainRequest;
                        var xhr = new XHR();
                        xhr.open('POST', '/personal/order/payment/delobankqrcode/check_payment.php', true);
                        xhr.onload = function () {
                            if (xhr.status === 200) {
                                document.location.href = '/personal/order/make/?ORDER_ID=<?php echo $ID ?>';
                            } else {
                                sleep(2000);
                                queryCheckPayment();
                            }
                        };
                        xhr.send(null);
                    }
                    setTimeout(queryCheckPayment, 5000);
                </script>
            </div>
            <?php
        }
    }
} else {
    DeloProcessor::inLog('Проблемы в настройках модуля QR-кода, не указано одно из полей: MERCHANT_ID_QRCODE, LOGIN_QRCODE, PASSWORD_QRCODE, URL_QRCODE');
    ?>
    <div style="margin:20px 0 0 0;">Сервис быстрых платежей недоступен, попробуйте произвести оплату позже!</div>
    <?php
}