<?php
session_start();
if (ob_get_level()) {
    ob_end_clean();
}
if (empty($_SESSION['delobank_login_qrcode']) || empty($_SESSION['delobank_password_qrcode'])
    || empty($_SESSION['delobank_merchant_id_qrcode']) || empty($_SESSION['delobank_message_id_qrcode'])
    || empty($_SESSION['delobank_order_id_qrcode']) || empty($_SESSION['delobank_url_qrcode']))
{
    header('HTTP/1.0 404 Not Found');
    exit();
}
require_once $_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/sale/payment/delobank/DeloProcessor.php';
// Подключим настройки для соединения с БД
ob_start();
$config = include($_SERVER['DOCUMENT_ROOT'] . '/bitrix/.settings.php');
ob_end_clean();
// Проверим, что это Mysql
$pos = strpos($config['connections']['value']['default']['className'], 'Mysql');
if ($pos === false) {
    header('HTTP/1.0 502 Bad Gateway');
    exit('Use not MySQL');
}
$result = DeloProcessor::queryGetPaymentStatus(
    $_SESSION['delobank_url_qrcode'],
    $_SESSION['delobank_login_qrcode'],
    $_SESSION['delobank_password_qrcode'],
    $_SESSION['delobank_message_id_qrcode'],
    [$_SESSION['delobank_qrc_id_qrcode']]
);
if ($result === null && json_last_error() !== JSON_ERROR_NONE) {
    header('HTTP/1.0 502 Bad Gateway');
    exit('Error: ' . $result);
} else {
    if (!empty($result['payments'][0]['status'])) {
        if (($result['payments'][0]['status'] == DeloProcessor::QRCODE_STATUS_SUCCESS) || ($result['payments'][0]['status'] == DeloProcessor::QRCODE_STATUS_REJECTED)) {
            try {
                $db = new mysqli(
                    $config['connections']['value']['default']['host'],
                    $config['connections']['value']['default']['login'],
                    $config['connections']['value']['default']['password'],
                    $config['connections']['value']['default']['database']
                );
                if ($db->connect_errno) {
                    header('HTTP/1.0 502 Bad Gateway');
                    exit('Failed connect to DB');
                }
            } catch (Exception $e) {
                $error = $e->getMessage();
                exit($error);
            }
            $q = 'UPDATE `b_delobank_order_qrcode`
                SET `status` = "' . $result['payments'][0]['status'] . '"
                WHERE `order_id` = ' . $_SESSION['delobank_order_id_qrcode'];
            $db->query($q);
            header('HTTP/1.0 200 OK');
            exit($_SESSION['delobank_qrc_id_qrcode']);
        }
        header('HTTP/1.0 202 Accepted');
        exit($_SESSION['delobank_qrc_id_qrcode']);
    } else {
        header('HTTP/1.0 502 Bad Gateway');
        exit('Empty response, payments');
    }
}
